/*
 * (c) 2006-2017 Thomas Maier-Komor
 * LICENSE: GPLv2, see file COPYING for details
 */

#ifndef SETTINGS_H
#define SETTINGS_H

extern int (*gettoken)(void);

extern int Input, Stdout, Stderr, Stdin, Prompt, ExitOnError, RsrcUsage, InFlags;
extern unsigned Lines, QLen;
extern long Limit, Pagesize;
extern const char *Script;
extern char **Env;

void parse_option_j(const char *arg);
void read_config(const char *cf);
void init_limit(void);
void init_defaults(const char *exe);
void parse_options(int argc, char **argv);
void usage(void);
void version(void);

#endif
